apt 3.2.0 commandline package manager

Public Member Functions | Protected Attributes | List of all members
edspLikeSystem Class Reference
Inheritance diagram for edspLikeSystem:

## Public Member Functions
bool | Lock (OpProgress *Progress) override APT_PURE
bool | UnLock (bool NoErrors=false) override APT_PURE
pkgPackageManager * | CreatePM (pkgDepCache *Cache) const override APT_PURE
bool | Initialize (Configuration &Cnf) override
bool | ArchiveSupported (const char *Type) override APT_PURE
signed | Score (Configuration const &Cnf) override
bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const override
bool | MultiArchSupported () const override
std::vector< std::string > | ArchitecturesSupported () const override
bool | LockInner (OpProgress *const, int) override
bool | UnLockInner (bool) override
bool | IsLocked () override
| checks if the system is currently locked
| edspLikeSystem (char const *const Label)
Public Member Functions inherited from pkgSystem
virtual bool | AddStatusFiles (std::vector< pkgIndexFile * > &List)=0
APT_HIDDEN void | SetVersionMapping (map_id_t const in, map_id_t const out)
APT_HIDDEN map_id_t | GetVersionMapping (map_id_t const in) const
| pkgSystem (char const *const Label, pkgVersioningSystem *const VS)

## Protected Attributes
std::unique_ptr< pkgIndexFile > | StatusFile

## Additional Inherited Members
Static Public Member Functions inherited from pkgSystem
static pkgSystem * | GetSystem (const char *Label)
Public Attributes inherited from pkgSystem
const char *const | Label
pkgVersioningSystem *const | VS
Static Public Attributes inherited from pkgSystem
static pkgSystem ** | GlobalList = SysList
static unsigned long | GlobalListLen = 0

## Member Function Documentation

## ◆ ArchitecturesSupported()

std::vector< std::string > ArchitecturesSupported | ( |  | ) | const
| inline nodiscard override virtual

architectures supported by this system

A MultiArch capable system might be configured to use this capability.

Returns
  a list of all architectures (native + foreign) configured for on this system (aka: which can be installed without force)

Implements pkgSystem.

## ◆ ArchiveSupported()

bool ArchiveSupported | ( | const char * | Type | ) |
| override virtual

Implements pkgSystem.

## ◆ CreatePM()

pkgPackageManager * CreatePM | ( | pkgDepCache * | Cache | ) | const
| override virtual

Implements pkgSystem.

## ◆ FindIndex()

bool FindIndex | ( | pkgCache::PkgFileIterator | File,
|  | pkgIndexFile *& | Found ) const
| override virtual

Implements pkgSystem.

## ◆ Initialize()

bool Initialize | ( | Configuration & | Cnf | ) |
| override virtual

Reimplemented from pkgSystem.

## ◆ IsLocked()

bool IsLocked | ( |  | ) |
| inline override virtual

checks if the system is currently locked

Implements pkgSystem.

## ◆ Lock()

bool Lock | ( | OpProgress * | Progress | ) |
| override virtual

Implements pkgSystem.

## ◆ LockInner()

bool LockInner | ( | OpProgress * const | ,
|  | int | )
| inline override virtual

Implements pkgSystem.

## ◆ MultiArchSupported()

bool MultiArchSupported | ( |  | ) | const
| inline nodiscard override virtual

Todo
  these methods should be virtual

does this system has support for MultiArch?

Systems supporting only single arch (not systems which are single arch) are considered legacy systems and support for it will likely degrade over time.

The default implementation returns always true.

Returns
  true if the system supports MultiArch, false if not.

Implements pkgSystem.

## ◆ Score()

signed Score | ( | Configuration const & | Cnf | ) |
| override virtual

Reimplemented from pkgSystem.

## ◆ UnLock()

bool UnLock | ( | bool | NoErrors = false | ) |
| override virtual

Implements pkgSystem.

## ◆ UnLockInner()

bool UnLockInner | ( | bool |  | ) |
| inline override virtual

Implements pkgSystem.

The documentation for this class was generated from the following files:

- apt-pkg/edsp/edspsystem.h
- apt-pkg/edsp/edspsystem.cc